module PersonalConference
  class Engine < Rails::Engine
  	initializer "personal_conference" do
  		OrbitApp.registration "PersonalConference",:type=> 'ModuleApp' do
			module_label 'module_name.personal_conference'
			base_url File.expand_path File.dirname(__FILE__)
			personal_plugin :enable => true, :sort_number => '10', :app_name=>"WritingConference", :intro_app_name=>"PersonalConferenceIntro",:path=>"panel/personal_conference/plugin/profile",:front_path=>"panel/personal_conference/front_end/profile",:admin_path=>"/panel/personal_conference/back_end/writing_conferences",:i18n=>'module_name.personal_conference'

			version "0.1"
			organization "Rulingcom"
			author "RD dep"
			intro "I am intro"
			update_info 'some update_info'

			front_end do
			  app_page 'writing_conferences' do 
			    frontend_i18n "personal_conference.frontend.writing_conferences"
			  end
			end
		end
  	end
  end
end
